org.flexdock.docking.state

## Class FloatManager.Stub

- java.lang.Object
- - org.flexdock.docking.state.FloatManager.Stub

- All Implemented Interfaces:
    FloatManager
  Enclosing interface:
    FloatManager

      public static class FloatManager.Stub
      extends java.lang.Object
      implements FloatManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.flexdock.docking.state.FloatManager

      `FloatManager.Stub`

  - ### Field Summary

    - ### Fields inherited from interface org.flexdock.docking.state.FloatManager

      `DEFAULT_STUB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatManager.Stub()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToGroup(Dockable dockable, java.lang.String groupId)`
    `DockingFrame` | `floatDockable(Dockable dockable, java.awt.Component frameOwner)`
    `DockingFrame` | `floatDockable(Dockable dockable, java.awt.Component frameOwner, java.awt.Rectangle screenBounds)`
    `FloatingGroup` | `getGroup(Dockable dockable)`
    `FloatingGroup` | `getGroup(java.lang.String groupName)`
    `void` | `removeFromGroup(Dockable dockable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatManager.Stub

          public FloatManager.Stub()

  - ### Method Detail

    - #### addToGroup

          public void addToGroup(Dockable dockable,
                        java.lang.String groupId)

      Specified by:
        `addToGroup` in interface `FloatManager`

    - #### floatDockable

          public DockingFrame floatDockable(Dockable dockable,
                                   java.awt.Component frameOwner,
                                   java.awt.Rectangle screenBounds)

      Specified by:
        `floatDockable` in interface `FloatManager`

    - #### floatDockable

          public DockingFrame floatDockable(Dockable dockable,
                                   java.awt.Component frameOwner)

      Specified by:
        `floatDockable` in interface `FloatManager`

    - #### getGroup

          public FloatingGroup getGroup(Dockable dockable)

      Specified by:
        `getGroup` in interface `FloatManager`

    - #### getGroup

          public FloatingGroup getGroup(java.lang.String groupName)

      Specified by:
        `getGroup` in interface `FloatManager`

    - #### removeFromGroup

          public void removeFromGroup(Dockable dockable)

      Specified by:
        `removeFromGroup` in interface `FloatManager`